/*
Theme Name: Luxury Invest Group
Template: hello-elementor
Author: Flotec
Author URI: https://flotec.io
Version: 3.0.1.1716587969
Updated: 2024-05-24 22:59:29



#header-bar.elementor-sticky--effects {
	background-color: #ffffff!important;
}
*/

.project-title a {
	font-weight: 500!important;
}

.wpc-filters-section { margin-bottom: 0px!important; }
.wpc-filter-title { margin-bottom: 0.2em!important; }
.wpc-filter-layout-dropdown .select2-container--default .select2-selection--single .select2-selection__arrow, .wpc-sorting-form .select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 90%!important;
}



/* Mortgage Calculator Style */
#lig-mortgage-calc {
    max-width: 450px;
    width: 100%;
    padding: 20px;
    background: #f4f4f4;
    border-radius: 10px;
    box-sizing: border-box;
    margin: 0 auto;
    overflow: hidden;
}

#lig-mortgage-calc form {
    display: flex;
    flex-direction: column;
}

#lig-mortgage-calc label {
    margin-top: 25px;
}

#lig-mortgage-calc input[type="text"],
#lig-mortgage-calc input[type="number"] {
    padding: 8px;
    margin-top: 5px;
    width: 100%;
    text-align: right;
    border: 1px solid #ccc;
    border-radius: 5px;
}

/* Sliders */
#lig-mortgage-calc input[type="range"] {
    width: 100%;
    margin-top: 5px;
    cursor: pointer;
    background: transparent;
}

/* Button */
#lig-mortgage-calc button {
    margin-top: 15px;
    padding: 10px;
	background-color: var(--e-global-color-accent);
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}

#lig-mortgage-calc button:hover, #lig-mortgage-calc button.active {
    background-color: var(--e-global-color-primary)!important;
}

/* Payment Displays */
#lig-mortgage-calc h4 {
    margin-top: 15px;
    font-size: 18px;
}

#lig-mortgage-calc span {
    font-weight: bold;
}

#lig-mortgage-calc #monthly_payment,
#lig-mortgage-calc #total_interest,
#lig-mortgage-calc #total_repayment {
    font-size: 20px;
    font-weight: bold;
    color: #0073aa;
}

#max_down_payment {
	float: right;
}

/* Prevent horizontal scrolling on smaller screens */
@media (max-width: 750px) {
    #lig-mortgage-calc {
        padding: 15px;
    }

    #lig-mortgage-calc input[type="text"],
    #lig-mortgage-calc input[type="number"],
    #lig-mortgage-calc input[type="range"] {
        width: 100%!important;
    }

    #lig-mortgage-calc .residency-buttons {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    #lig-mortgage-calc .down-payment-values {
        display: flex;
        justify-content: space-between;
        font-size: 0.85em;
    }
}
